Module modIkWerknemer

    Sub Main()


        Dim ik As New CWerknemer
        ik.naam = "Leen"
        ik.datumIndienst = #10/9/1982#
        ik.geslacht = 1

        ik.naam = "Leen"
        ik.datumIndienst = #10/9/1982#
        ik.geslacht = 1

        System.GC.Collect()

        Dim output As String

        ' properties get name, datumIndienst en geslacht
        output = "Mijn naam is: " & ik.naam & vbCrLf & _
         "Datum in dienst: " & ik.datumIndienst & vbCrLf & "Mijn geslacht is: " & _
        ik.geslacht & vbCrLf

        ' display name
        output &= "Mijn name is: " & _
         String.Format("{0:F}", ik.naam())
        ' display datumIndienst
        output &= "Datum in dienst: " & _
         String.Format("{0:F}", ik.datumIndienst())
        ' display geslacht
        output &= "Mijn geslacht is " & _
         String.Format("{0:F}", ik.geslacht())

        Dim my As New CWerknemer
        my.naam = ""
        my.datumIndienst = #31/10/2003#
        ik.geslacht = 1

        my.naam = ""
        my.datumIndienst = #31/10/2003#
        ik.geslacht = 1
        System.GC.Collect()

        Dim output As String


    End Sub




End Module
